package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName TradeStandardRebateTable
 * @Description
 * @Author y
 * @Date 2024/5/29 13:49
 */
@Data
public class TradeStandardRebateTable extends BaseTable {

    private Long ticket;

    private Long login;

    private String symbol;

    private Integer cmd;

    private Date openTime;

    private Float openPrice;

    private Date closeTime;

    private Float closePrice;

    private String platform;

    private Float ticketVolume;

    private Float rebateVolume;

    private String rebateRange;

    private Float rebatePoint;

    private Float rebateAmount;

    private Long customId;

    private Long agentId;

    private Long salesId;

    public static TradeStandardRebateTable getInstance() {
        TradeStandardRebateTable table = new TradeStandardRebateTable();
        table.setTicketVolume(0F);
        table.setRebateVolume(0F);
        table.setRebatePoint(0F);
        table.setRebateAmount(0F);
        return table;
    }

}
